/*
 * Copyright (c) 2011, 2020 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Distribution License v. 1.0, which is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

package org.glassfish.grizzly.samples.jaxws.addclient;

import java.net.MalformedURLException;
import java.net.URL;

import javax.xml.namespace.QName;

import jakarta.xml.ws.Service;
import jakarta.xml.ws.WebEndpoint;
import jakarta.xml.ws.WebServiceClient;
import jakarta.xml.ws.WebServiceException;
import jakarta.xml.ws.WebServiceFeature;

/**
 * This class was generated by the JAX-WS RI. JAX-WS RI 2.2-hudson-752- Generated source version: 2.2
 *
 */
@WebServiceClient(name = "AddServiceService", targetNamespace = "http://service.jaxws.samples.grizzly.glassfish.org/", wsdlLocation = "http://localhost:19881/add?wsdl")
public class AddServiceService extends Service {

    private final static URL ADDSERVICESERVICE_WSDL_LOCATION;
    private final static WebServiceException ADDSERVICESERVICE_EXCEPTION;
    private final static QName ADDSERVICESERVICE_QNAME = new QName("http://service.jaxws.samples.grizzly.glassfish.org/", "AddServiceService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://localhost:19881/add?wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        ADDSERVICESERVICE_WSDL_LOCATION = url;
        ADDSERVICESERVICE_EXCEPTION = e;
    }

    public AddServiceService() {
        super(__getWsdlLocation(), ADDSERVICESERVICE_QNAME);
    }

    public AddServiceService(URL wsdlLocation) {
        super(wsdlLocation, ADDSERVICESERVICE_QNAME);
    }

    public AddServiceService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    /**
     *
     * @return returns AddService
     */
    @WebEndpoint(name = "AddServicePort")
    public AddService getAddServicePort() {
        return super.getPort(new QName("http://service.jaxws.samples.grizzly.glassfish.org/", "AddServicePort"), AddService.class);
    }

    /**
     *
     * @param features A list of {@link jakarta.xml.ws.WebServiceFeature} to configure on the proxy. Supported features not
     * in the <code>features</code> parameter will have their default values.
     * @return returns AddService
     */
    @WebEndpoint(name = "AddServicePort")
    public AddService getAddServicePort(WebServiceFeature... features) {
        return super.getPort(new QName("http://service.jaxws.samples.grizzly.glassfish.org/", "AddServicePort"), AddService.class, features);
    }

    private static URL __getWsdlLocation() {
        if (ADDSERVICESERVICE_EXCEPTION != null) {
            throw ADDSERVICESERVICE_EXCEPTION;
        }
        return ADDSERVICESERVICE_WSDL_LOCATION;
    }

}
